Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service.binding
Class RPCEncodedBinding

    java.lang.Object
      org.codehaus.xfire.handler.AbstractHandler
          org.codehaus.xfire.service.binding.AbstractBinding
              org.codehaus.xfire.service.binding.WrappedBinding
                  org.codehaus.xfire.service.binding.RPCEncodedBinding

All Implemented Interfaces:
  java.lang.Cloneable, MessageSerializer, Handler, ObjectBinding, WSDL11ParameterBinding

    public class RPCEncodedBinding

extends WrappedBinding
implements WSDL11ParameterBinding

Field Summary

Fields inherited from class org.codehaus.xfire.service.binding.AbstractBinding
`OPERATION_KEY, RESPONSE_PIPE, RESPONSE_VALUE`

Fields inherited from interface org.codehaus.xfire.handler.Handler
`ROLE`

Constructor Summary
`RPCEncodedBinding()`

Method Summary
`java.lang.Object` | `clone()`
`void` | `createInputParts(WSDLBuilder builder, javax.wsdl.Message req, OperationInfo op)`
`void` | `createOutputParts(WSDLBuilder builder, javax.wsdl.Message req, OperationInfo op)`
`void` | `readMessage(InMessage inMessage, MessageContext context)`
`protected void` | `writeParametersSchema(WSDLBuilder builder, javax.wsdl.Message message, MessageInfo xmsg)`

Methods inherited from class org.codehaus.xfire.service.binding.WrappedBinding
`writeMessage, writeStartElement`

Methods inherited from class org.codehaus.xfire.service.binding.AbstractBinding
`getBindingProvider, getInvoker, getPhase, getStyle, getUse, invoke, isClientModeOn, nextEvent, sendMessage, setBindingProvider, setClientModeOn, setInvoker, setOperation, setStyle, setUse`

Methods inherited from class org.codehaus.xfire.handler.AbstractHandler
`getRoles, getUnderstoodHeaders, handleFault`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.wsdl11.WSDL11ParameterBinding
`getStyle, getUse`

Methods inherited from interface org.codehaus.xfire.handler.Handler
`getRoles, getUnderstoodHeaders, handleFault`

Constructor Detail

### RPCEncodedBinding

    public RPCEncodedBinding()

Method Detail

### readMessage

    public void readMessage(InMessage inMessage,
                            MessageContext context)
                     throws XFireFault

  Specified by:
    `readMessage` in interface `MessageSerializer`
  Overrides:
    `readMessage` in class `WrappedBinding`
  Throws:
    `XFireFault`

### createInputParts

    public void createInputParts(WSDLBuilder builder,
                                 javax.wsdl.Message req,
                                 OperationInfo op)

  Specified by:
    `createInputParts` in interface `WSDL11ParameterBinding`
  Overrides:
    `createInputParts` in class `WrappedBinding`

### createOutputParts

    public void createOutputParts(WSDLBuilder builder,
                                  javax.wsdl.Message req,
                                  OperationInfo op)

  Specified by:
    `createOutputParts` in interface `WSDL11ParameterBinding`
  Overrides:
    `createOutputParts` in class `WrappedBinding`

### writeParametersSchema

    protected void writeParametersSchema(WSDLBuilder builder,
                                         javax.wsdl.Message message,
                                         MessageInfo xmsg)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `WrappedBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.